Defect #1606

Gantt diagram is broken

Added by Greg Burri over 9 years ago. Updated over 9 years ago.

Status:ClosedStart date:2008-07-09
Priority:NormalDue date:
Assignee:Jean-Philippe Lang% Done:

0%

Category:UI
Target version:0.8
Resolution:Fixed Affected version:

Description

I installed the trunk version of Redmine ("Redmine 0.7.devel.1645 (PostgreSQL)") and try to use the gantt diagram but it looks like a mess : http://www.euphorik.ch:81/projects/gantt/euk.

I dont know if it matters but I use Rails 2.1.0-1 and librmagick-ruby version 2.5.1-1 under Debian Sid.

My brower is Firefox 3 (same behaviour with Opera 9.51).

Associated revisions

Revision 1647
Added by Jean-Philippe Lang over 9 years ago

Fixes Gantt chart with ruby 1.8.7 (#1606).

History

#1 Updated by Denis Tomashenko over 9 years ago

Ruby 1.8.7 ?
Bring back 1.8.6

#2 Updated by Calvin Cheng over 9 years ago

  • Assignee set to Jean-Philippe Lang

Denis Tomashenko wrote:

Ruby 1.8.7 ?
Bring back 1.8.6

Hi there,

I am having the same problem.

Are there plans to fix this in 1.8.7? If so, I do not mind waiting for that to happen.
If there are no plans to fix this in 1.8.7 in the near term (i.e. within 1 month), I will downgrade my ruby installation to 1.8.6.

Regards

#3 Updated by Greg Burri over 9 years ago

Denis Tomashenko wrote:

Ruby 1.8.7 ?
Bring back 1.8.6

yep :
$> ruby --version
ruby 1.8.7 (2008-06-20 patchlevel 22) [x86_64-linux]

#4 Updated by Jean-Philippe Lang over 9 years ago

  • Category set to UI
  • Status changed from New to Closed
  • Target version set to 0.8
  • Resolution set to Fixed

Occurs with ruby 1.8.7 only. Fixed in r1647.

Also available in: Atom PDF